summaryrefslogtreecommitdiffstats
path: root/tests/bsd
diff options
context:
space:
mode:
authorTavian Barnes <tavianator@tavianator.com>2022-12-16 15:32:04 -0500
committerTavian Barnes <tavianator@tavianator.com>2022-12-16 15:32:04 -0500
commite50c19f284dad6b4b7b79f91cc8576a97626be8a (patch)
tree3fc7b15a412d4123d403bca6fdbf3225389926e1 /tests/bsd
parent7d87b96b421b76e387cee903b7b7c1bc16c54310 (diff)
downloadbfs-e50c19f284dad6b4b7b79f91cc8576a97626be8a.tar.xz
tests: Turn on set -e
Diffstat (limited to 'tests/bsd')
-rw-r--r--tests/bsd/X.sh3
-rw-r--r--tests/bsd/exit.sh10
2 files changed, 3 insertions, 10 deletions
diff --git a/tests/bsd/X.sh b/tests/bsd/X.sh
index 03d9eee..df9a261 100644
--- a/tests/bsd/X.sh
+++ b/tests/bsd/X.sh
@@ -1,2 +1 @@
-bfs_diff -X weirdnames
-[ $? -eq $EX_BFS ]
+check_exit $EX_BFS bfs_diff -X weirdnames
diff --git a/tests/bsd/exit.sh b/tests/bsd/exit.sh
index 524a75f..248349c 100644
--- a/tests/bsd/exit.sh
+++ b/tests/bsd/exit.sh
@@ -1,11 +1,5 @@
-invoke_bfs basic -name foo -exit 42
-if [ $? -ne 42 ]; then
- return 1
-fi
+check_exit 42 invoke_bfs basic -name foo -exit 42
-invoke_bfs basic -name qux -exit 42
-if [ $? -ne 0 ]; then
- return 1
-fi
+check_exit 0 invoke_bfs basic -name qux -exit 42
bfs_diff basic/g -print -name g -exit